# Uses of Enum Class
org.eclipse.net4j.util.om.log.RollingLog.PropertiesEvent.Type

Packages that use RollingLog.PropertiesEvent.Type
Package
Description
org.eclipse.net4j.util.om.log
Interfaces and classes for platform-independent logging.

## Uses of RollingLog.PropertiesEvent.Type in org.eclipse.net4j.util.om.log

Methods in org.eclipse.net4j.util.om.log that return RollingLog.PropertiesEvent.Type
Modifier and Type
Method
Description
`RollingLog.PropertiesEvent.Type`
RollingLog.PropertiesEvent.`getType()`
`static RollingLog.PropertiesEvent.Type`
RollingLog.PropertiesEvent.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RollingLog.PropertiesEvent.Type[]`
RollingLog.PropertiesEvent.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.net4j.util.om.log with parameters of type RollingLog.PropertiesEvent.Type
Modifier
Constructor
Description
``
`PropertiesEvent(RollingLog rollingLog, RollingLog.PropertiesEvent.Type type, Properties properties)`